### Class

# Aravis UvDevice

#### Description

    final class Aravis.UvDevice : Aravis.Device
      implements Gio.Initable {
      /* No available fields */
    }

No description available.

#### Ancestors

- ArvDevice
- GObject

#### Implements

- GInitable

#### Constructors

###### arv_uv_device_new

No description available.

since: 0.8.0

###### arv_uv_device_new_from_guid

No description available.

since: 0.8.17

#### Instance methods

###### arv_uv_device_set_usb_mode

Sets the option to utilize the USB synchronous or asynchronous device I/O API. The default mode is `ARV_UV_USB_MODE_SYNC`, which means USB bulk transfer will be synchronously executed. This mode is qualified to work, but it has the performance issue with some high framerate device. Using `ARV_UV_USB_MODE_ASYNC` possibly improves the bandwidth.

since: 0.8.17

##### Methods inherited from ArvDevice (42)

Please see ArvDevice for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Aravis.UvDevice:guid

No description available.

###### Aravis.UvDevice:product

No description available.

###### Aravis.UvDevice:serial-number

No description available.

###### Aravis.UvDevice:vendor

No description available.

#### Signals

##### Signals inherited from ArvDevice (1)

###### ArvDevice::control-lost

Signal that the control of the device is lost.

since: 0.2.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisUvDeviceClass {
      ArvDeviceClass parent_class;

    }

No description available.

###### Class members

`parent_class: ArvDeviceClass`

  No description available.